@echo off
setlocal

rem Roses are red, violets are blue, sugar is sweet, and so are you.
rem Enjoy your usual ratio: 5% of lines do the actual work, and the rest are there to make sure they work. (It's like 1%, actually)

set sourcefile=[DameDesuYo] Noragami - 10 (BD 1280x720 10bit AAC) [09C6AAF4].mkv
set targetfile=[BlurayDesuYo] Noragami - 10 (BD 1280x720 10bit AAC) [09C6AAF4].mkv
set app=xdelta3.exe
set changes=changes.vcdiff
set olddir=old
set WORKINGDIR=%CD%
chdir /d %~dp0

if exist "%~1" (
    set sourcefile=%~1
    goto startnow
)
if not exist "%sourcefile%" (
	if exist "..\%sourcefile%" (
		set "sourcefile=..\%sourcefile%"
		set "targetfile=..\%targetfile%"
		set "olddir=..\%olddir%"
	) else (goto filenotfound)
)
if not exist "%changes%" goto filenotfound
if not exist "%app%" goto filenotfound

if exist "%targetfile%" (
    echo Target file "%targetfile%" already exists. Press enter to continue and overwrite it, or press Ctrl + C to cancel.
	set /P bla=  
)

:startnow
echo Attempting to patch "%sourcefile%"...
%app% -d -f -s "%sourcefile%" "%changes%" "%targetfile%"
if exist "%targetfile%" (
	mkdir %olddir% 2>nul
	move "%sourcefile%" %olddir%
	echo Done.
	chdir /d %WORKINGDIR%
	exit /b
)
echo Error occured! Patching wasn't successful!
chdir /d %WORKINGDIR%
pause
exit /b

:filenotfound 
echo The files "%sourcefile%", "%changes%", and "%app%" must be in the same folder as this script!
chdir /d %WORKINGDIR%
pause
exit /b
